modis_L1B.py ERROR

Use this Forum to find information on, or ask a question about, NASA Earth Science data.
Post Reply
eko1968
Posts: 9
Joined: Mon Feb 26, 2007 9:20 pm America/New_York
Answers: 0

modis_L1B.py ERROR

by eko1968 » Thu Nov 11, 2021 9:08 pm America/New_York

Hello,

I have the following error messages when running modis_L1B.py in the command line;
$ modis_L1B.py A2021247033000.L1A_LAC_04sep.sub A2021247033000.GEO.sub

Traceback (most recent call last):
File "/usr/lib/python3.6/dbm/gnu.py", line 4, in <module>
from _gdbm import *
ModuleNotFoundError: No module named '_gdbm'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/CommandNotFound/CommandNotFound.py", line 7, in <module>
import dbm.gnu as gdbm
File "/usr/lib/python3.6/dbm/gnu.py", line 6, in <module>
raise ImportError(str(msg) + ', please install the python3-gdbm package')
ImportError: No module named '_gdbm', please install the python3-gdbm package

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/command-not-found", line 27, in <module>
from CommandNotFound.util import crash_guard
File "/usr/lib/python3/dist-packages/CommandNotFound/__init__.py", line 3, in <module>
from CommandNotFound.CommandNotFound import CommandNotFound
File "/usr/lib/python3/dist-packages/CommandNotFound/CommandNotFound.py", line 9, in <module>
import gdbm
ModuleNotFoundError: No module named 'gdbm'

BUT, I could successfully create L1B file from SeaDAS GUI.
I am on Ubuntu and using
- SeaDAS 8.1.0
- OCSSW V2021.2
- java version "1.8.0_261"
- Python 3.6.13
- Python requests 2.26.0

I also installed the python3-gdbm package,
but after installing now modis_L1B.py was not found.

Any missing app/program I have to install?

Regards,
Eko

Tags:

OB SeaDAS - xuanyang02
Subject Matter Expert
Subject Matter Expert
Posts: 446
Joined: Tue Feb 09, 2021 5:42 pm America/New_York
Answers: 1
Been thanked: 1 time

Re: modis_L1B.py ERROR

by OB SeaDAS - xuanyang02 » Fri Nov 12, 2021 9:06 am America/New_York

In SeaDAS 7.5, modis_L1B.py is in $OCSSWROOT/scripts. In SeaDAS 8.1.0, modis_L1B is in $OCSSWROOT/bin. Notice .py is dropped.

Try

Code: Select all

$ modis_L1B A2021247033000.L1A_LAC_04sep.sub A2021247033000.GEO.sub
See https://seadas.gsfc.nasa.gov/help-8.1.0 ... s_L1B.html

eko1968
Posts: 9
Joined: Mon Feb 26, 2007 9:20 pm America/New_York
Answers: 0

Re: modis_L1B.py ERROR

by eko1968 » Sat Nov 13, 2021 3:00 am America/New_York

Thank you so much.
It works.

Post Reply